# Method: index.inspect

- [HTTP request](https://developers.google.com/webmaster-tools/v1/urlInspection.index/inspect#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/webmaster-tools/v1/urlInspection.index/inspect#body.request_body)
  - [JSON representation](https://developers.google.com/webmaster-tools/v1/urlInspection.index/inspect#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/webmaster-tools/v1/urlInspection.index/inspect#body.response_body)
  - [JSON representation](https://developers.google.com/webmaster-tools/v1/urlInspection.index/inspect#body.InspectUrlIndexResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/webmaster-tools/v1/urlInspection.index/inspect#body.aspect)
- [Try it!](https://developers.google.com/webmaster-tools/v1/urlInspection.index/inspect#try-it)

View the indexed, or indexable, status of the provided URL. Presently only the status of the version in the Google index is available; you cannot test the indexability of a live URL.

### HTTP request

`POST https://searchconsole.googleapis.com/v1/urlInspection/index:inspect`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "inspectionUrl": string, "siteUrl": string, "languageCode": string } ``` |

| Fields ||
|---|---|
| `inspectionUrl` | `string` Required. Fully-qualified URL to inspect. Must be under the property specified in "siteUrl". |
| `siteUrl` | `string` Required. The URL of the property as defined in Search Console. Note that URL-prefix properties must include a trailing / mark. **Examples:** `https://www.example.com/` for a URL-prefix property, or `sc-domain:example.com` for a Domain property. |
| `languageCode` | `string` Optional. An [IETF BCP-47](https://en.wikipedia.org/wiki/IETF_language_tag) language code representing the requested language for translated issue messages, e.g. "en-US", "or "de-CH". Default value is "en-US". |

### Response body

If successful, the response body contains data with the following structure:
Index-Status inspection response.

| JSON representation ||
|---|---|
| ``` { "inspectionResult": { object (`https://developers.google.com/webmaster-tools/v1/urlInspection.index/UrlInspectionResult`) } } ``` |

| Fields ||
|---|---|
| `inspectionResult` | ``object (`https://developers.google.com/webmaster-tools/v1/urlInspection.index/UrlInspectionResult`)`` URL inspection results. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/webmasters`
- `https://www.googleapis.com/auth/webmasters.readonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).